std::_Weak_result_type_impl< _Res(_ArgTypes...) _GLIBCXX_NOEXCEPT_QUAL > Struct Template Reference

`#include <refwrap.h>`

## Public Types

typedef _Res | result_type

## Detailed Description

template<typename _Res, typename... _ArgTypes _GLIBCXX_NOEXCEPT_PARM>
struct std::_Weak_result_type_impl< _Res(_ArgTypes...) _GLIBCXX_NOEXCEPT_QUAL >

Retrieve the result type for a function type.

Definition at line 131 of file refwrap.h.

## Member Typedef Documentation

## result_type

template<typename _Res , typename... _ArgTypes _GLIBCXX_NOEXCEPT_PARM>

typedef _Res std::_Weak_result_type_impl< _Res(_ArgTypes...) _GLIBCXX_NOEXCEPT_QUAL >::result_type

Definition at line 132 of file refwrap.h.

The documentation for this struct was generated from the following file:

- refwrap.h